libgimpprint API Reference: olympus_cap_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# olympus_cap_t Struct Reference

## Data Fields
int | model
const ink_list_t * | inks
const olymp_resolution_list_t * | resolution
const olymp_pagesize_list_t * | pages
const olymp_printsize_list_t * | printsize
int | interlacing
int | block_size
int | features
void(* | printer_init_func )(stp_vars_t *)
void(* | printer_end_func )(stp_vars_t *)
void(* | plane_init_func )(stp_vars_t *)
void(* | plane_end_func )(stp_vars_t *)
void(* | block_init_func )(stp_vars_t *)
void(* | block_end_func )(stp_vars_t *)
const char * | adj_cyan
const char * | adj_magenta
const char * | adj_yellow
const laminate_list_t * | laminate

## Field Documentation

const char* olympus_cap_t::adj_cyan

| Definition at line 153 of file print-olympus.c. Referenced by olympus_do_print().

const char* olympus_cap_t::adj_magenta

| Definition at line 154 of file print-olympus.c. Referenced by olympus_do_print().

const char* olympus_cap_t::adj_yellow

| Definition at line 155 of file print-olympus.c. Referenced by olympus_do_print().

void(* olympus_cap_t::block_end_func)(stp_vars_t *)

| Referenced by olympus_do_print().

void(* olympus_cap_t::block_init_func)(stp_vars_t *)

| Referenced by olympus_do_print().

int olympus_cap_t::block_size

| Definition at line 145 of file print-olympus.c. Referenced by olympus_do_print().

int olympus_cap_t::features

| Definition at line 146 of file print-olympus.c. Referenced by olympus_feature().

const ink_list_t* olympus_cap_t::inks

| Definition at line 140 of file print-olympus.c. Referenced by olympus_do_print(), and olympus_parameters().

int olympus_cap_t::interlacing

| Definition at line 144 of file print-olympus.c. Referenced by olympus_do_print().

const laminate_list_t* olympus_cap_t::laminate

| Definition at line 156 of file print-olympus.c. Referenced by olympus_do_print(), olympus_get_laminate_pattern(), and olympus_parameters().

int olympus_cap_t::model

| Definition at line 139 of file print-olympus.c. Referenced by olympus_get_model_capabilities().

const olymp_pagesize_list_t* olympus_cap_t::pages

| Definition at line 142 of file print-olympus.c. Referenced by olympus_imageable_area(), and olympus_parameters().

void(* olympus_cap_t::plane_end_func)(stp_vars_t *)

| Referenced by olympus_do_print().

void(* olympus_cap_t::plane_init_func)(stp_vars_t *)

| Referenced by olympus_do_print().

void(* olympus_cap_t::printer_end_func)(stp_vars_t *)

| Referenced by olympus_do_print().

void(* olympus_cap_t::printer_init_func)(stp_vars_t *)

| Referenced by olympus_do_print().

const olymp_printsize_list_t* olympus_cap_t::printsize

| Definition at line 143 of file print-olympus.c. Referenced by olympus_printsize().

const olymp_resolution_list_t* olympus_cap_t::resolution

| Definition at line 141 of file print-olympus.c. Referenced by olympus_parameters().

The documentation for this struct was generated from the following file:

- src/main/print-olympus.c